Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059472 - [RFE][horizon]: Move javascript libraries to separate packages
Summary: [RFE][horizon]: Move javascript libraries to separate packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: Upstream M3
: 6.0 (Juno)
Assignee: Matthias Runge
QA Contact: Ido Ovadia
URL: https://blueprints.launchpad.net/hori...
Whiteboard: upstream_milestone_juno-3 upstream_st...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 22:22 UTC by RHOS Integration
Modified: 2015-02-09 14:54 UTC (History)
9 users (show)

Fixed In Version: python-django-horizon-2014.2-4.el7ost
Doc Type: Bug Fix
Doc Text:
JavaScript libraries have been separated out from the dashboard (horizon) source code into separate, external packages. This improves the maintanbility of the source code.
Clone Of:
Environment:
Last Closed: 2015-02-09 14:54:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0154 normal SHIPPED_LIVE python-django-horizon enhancement advisory 2015-02-09 19:52:20 UTC

Description RHOS Integration 2014-01-29 22:22:51 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/horizon/+spec/remove-javascript-bundling.

Description:

Currently, Horizon bundles a couple of JavaScipt libraries.

This blueprint is to track the removal or move to separate python packages (to be hosted on pypi)

Specification URL (additional information):

None

Comment 2 Ido Ovadia 2014-11-04 17:32:36 UTC
Please provide more information how to test

Comment 3 Matthias Runge 2014-11-05 13:10:02 UTC
The way to test would be to verify, Horizon pulls in a huge number of python-XStatic-* packages in.

This is a change to before.

Comment 6 errata-xmlrpc 2015-02-09 14:54:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0154.html


Note You need to log in before you can comment on or make changes to this bug.